curl --request GET \
--url https://api.rankspot.ai/v1/backlinks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rankspot.ai/v1/backlinks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rankspot.ai/v1/backlinks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total": 100,
"offset": 0,
"limit": 100,
"count": 10,
"items": [
{
"id": "clx...",
"domainFrom": "producthunt.com",
"urlFrom": "https://www.producthunt.com/products/rankspot",
"urlTo": "https://www.rankspot.ai/",
"domainTo": "www.rankspot.ai",
"dofollow": true,
"attributes": [
"noopener",
"noreferrer"
],
"status": "new",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"rank": 14,
"pageFromRank": 29,
"domainFromRank": 88,
"backlinkSpamScore": 0,
"anchor": "Visit website",
"firstSeen": "2026-09-03T13:49:20.288Z",
"competitorId": "clx..."
}
]
}
}List backlinks
Returns a paginated list of backlinks. Use type to switch between competitor backlinks (default), your own backlinks, or archived ones. Combine type=competitors with competitorId to scope results to a single competitor. Filter by domainFrom substring to search for a specific linking domain.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
x >= 01 <= x <= 100Filter by domain_from substring
domainFromRank, firstSeen, backlinkSpamScore asc, desc Filter by competitor ID (UUID). Only applies when type is "competitors".
competitors: unprocessed competitor backlinks (default) | mine: own backlinks only | processed: processed backlinks | archived: archived backlinks
competitors, mine, processed, archived Response
Hide child attributes
Hide child attributes
100
0
100
10
Hide child attributes
Hide child attributes
"clx..."
"producthunt.com"
"https://www.producthunt.com/products/rankspot"
"https://www.rankspot.ai/"
"www.rankspot.ai"
true
["noopener", "noreferrer"]
new, processed "new"
14
29
88
0
"Visit website"
"2026-09-03T13:49:20.288Z"
"clx..."
